Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.dao
Interface BlogEntryDAO

All Known Implementing Classes:
  FileBlogEntryDAO

    public interface BlogEntryDAO

Method Summary
`java.util.List<BlogEntry>` | `loadBlogEntries(Blog blog)` Loads all blog entries.
`BlogEntry` | `loadBlogEntry(Blog blog, java.lang.String blogEntryId)` Loads a specific blog entry.
`void` | `removeBlogEntry(BlogEntry blogEntry)` Removes the specified blog entry.
`void` | `storeBlogEntry(BlogEntry blogEntry)` Stores the specified blog entry.

Method Detail

### loadBlogEntry

    BlogEntry loadBlogEntry(Blog blog,
                            java.lang.String blogEntryId)
                            throws PersistenceException

  Loads a specific blog entry.

  Parameters:
    `blogEntryId` - the blog entry ID
  Returns:
    a BlogEntry instance
  Throws:
    `PersistenceException` - if the specified blog entry cannot be loaded

### loadBlogEntries

    java.util.List<BlogEntry> loadBlogEntries(Blog blog)
                                              throws PersistenceException

  Loads all blog entries.

  Parameters:
    `blog` - the Blog to load all entries for
  Returns:
    a List of BlogEntry objects
  Throws:
    `PersistenceException` - if the blog entries cannot be loaded

### storeBlogEntry

    void storeBlogEntry(BlogEntry blogEntry)
                        throws PersistenceException

  Stores the specified blog entry.

  Parameters:
    `blogEntry` - the blog entry to store
  Throws:
    `PersistenceException` - if something goes wrong storing the entry

### removeBlogEntry

    void removeBlogEntry(BlogEntry blogEntry)
                         throws PersistenceException

  Removes the specified blog entry.

  Parameters:
    `blogEntry` - the blog entry to remove
  Throws:
    `PersistenceException` - if something goes wrong removing the entry

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.